Bug 656191 - [abrt] ZipFile::readLOC
Summary: [abrt] ZipFile::readLOC
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:410d20864f68ca45498d6644681...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-23 07:52 UTC by palPred
Modified: 2010-12-02 19:07 UTC (History)
2 users (show)

Fixed In Version: openoffice.org-3.3.0-17.2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-02 19:07:30 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (99.63 KB, text/plain)
2010-11-23 07:52 UTC, palPred
no flags Details

Description palPred 2010-11-23 07:52:24 UTC
abrt version: 1.1.13
architecture: i686
Attached file: backtrace
cmdline: /usr/lib/openoffice.org3/program/soffice.bin -base
component: openoffice.org
crash_function: com::sun::star::uno::Sequence<signed char>::Sequence
executable: /usr/lib/openoffice.org3/program/soffice.bin
kernel: 2.6.35.6-48.fc14.i686
package: openoffice.org-brand-1:3.3.0-14.1.fc14
rating: 3
reason: Process /usr/lib/openoffice.org3/program/soffice.bin was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
time: 1290498341
uid: 500

How to reproduce
-----
1. seek or sort in database form
2.
3.

Comment 1 palPred 2010-11-23 07:52:27 UTC
Created attachment 462259 [details]
File: backtrace

Comment 2 David Tardon 2010-11-23 08:48:29 UTC
The len arg. in com::sun::star::uno::Sequence<signed char>::Sequence (this=0x8a7de790, len=-26401) is obviously nonsense and other values read from the db file in ZipFile::readLOC look suspicious too. The file is probably corrupted.

Comment 3 Caolan McNamara 2010-11-25 16:34:46 UTC
Yeah, I can reproduce this if I hard code that number in there. We should probably catch the bad_alloc and throw a ZipException to indicate a broken zip file

Comment 4 Caolan McNamara 2010-11-25 16:50:27 UTC
avoid crash in >= 3.3.0-16.5

Comment 5 Fedora Update System 2010-11-29 11:47:47 UTC
openoffice.org-3.3.0-17.2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openoffice.org-3.3.0-17.2.fc14

Comment 6 Fedora Update System 2010-11-29 21:35:09 UTC
openoffice.org-3.3.0-17.2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/openoffice.org-3.3.0-17.2.fc14

Comment 7 Fedora Update System 2010-12-02 19:07:08 UTC
openoffice.org-3.3.0-17.2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.